Name:		updatinator
Version:	0.1
Release:	1%{?dist}
Summary:	Updating system for image-based distributions

Group:		Applications/System
License:	GPL
URL:		http://hosted.fedoraproject.org/projects/updatinator
Source0:	updatinator-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	python-devel
Requires:	bsdiff

%description
Updatinator is a system for keeping computer software uptodate. System like apt/deb
or yum/rpm are based on packages, where each computer has a database of the set of
packages installed, and what version of each package. Updatinator instead handles
full system images, meaning each version released is a full set of files for the
system. There is no way to upgrade just one application or even install anything less
than the full image.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/var/updates/blob
mkdir -p $RPM_BUILD_ROOT/var/updates/releases

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README scripts/install-tarball-image.sh scripts/update-xo.sh
%config(noreplace) %{_sysconfdir}/updatinator.conf
%{_bindir}/*
%{_libdir}/%{name}/*.py*
%dir %{_libdir}/%{name}
%dir /var/updates

%changelog
* Thu Jul 12 2007 Alexander Larsson <alexl@redhat.com> - 0.1-1
- Initial version

